\begin{tabular}{rrrr}
\toprule
      Nr exemple &   Nr cuvinte text &   Nr cuvinte rezumat &   Nr cuvinte comune \\
\midrule
             512 &             20532 &                 3717 &                3348 \\
            1024 &             28851 &                 5860 &                5439 \\
            2048 &             40659 &                 8915 &                8412 \\
            4096 &             57283 &                13192 &               12628 \\
            8192 &             81904 &                19419 &               18720 \\
           16384 &            113594 &                27724 &               26763 \\
           32768 &            165263 &                39688 &               38276 \\
           65536 &            248343 &                56530 &               54340 \\
           90266 &            297945 &                65849 &               63282 \\
\bottomrule
\end{tabular}